Bug 801717 - Incorrect last_stat_fetch time in statedump
Incorrect last_stat_fetch time in statedump
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: distribute (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-09 04:18 EST by Anush Shetty
Modified: 2013-12-08 20:30 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:43:38 EDT
Type: ---
Regression: ---
Mount Type: fuse
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2012-03-09 04:18:57 EST
Description of problem: The  last_stat_fetch time information displayed in the statedump 


Version-Release number of selected component (if applicable): upstream


How reproducible: Consistently


Steps to Reproduce:
1. kill -USR1 <pid of glusterfs>


  
Actual results:

[xlator.cluster.dht.test2-dht.priv]
subvol_cnt=2
subvolumes[0]=protocol/client.test2-client-0
file_layouts[0].cnt=1
file_layouts[0].preset=1
file_layouts[0].gen=0
file_layouts[0].type=0
file_layouts[0].list[0].err=0
file_layouts[0].list[0].start=0
file_layouts[0].list[0].stop=0
file_layouts[0].list[0].xlator.type=protocol/client
file_layouts[0].list[0].xlator.name=test2-client-0
subvolume_status[0]=1
subvolumes[1]=protocol/client.test2-client-1
file_layouts[1].cnt=1
file_layouts[1].preset=1
file_layouts[1].gen=0
file_layouts[1].type=0
file_layouts[1].list[0].err=0
file_layouts[1].list[0].start=0
file_layouts[1].list[0].stop=0
file_layouts[1].list[0].xlator.type=protocol/client
file_layouts[1].list[0].xlator.name=test2-client-1
subvolume_status[1]=1
search_unhashed=1
gen=3
min_free_disk=10
min_free_inodes=5
disk_unit=
refresh_interval=0
unhashed_sticky_bit=0
du_stats.avail_percent=94.000000
du_stats.avail_space=96741781504
du_stats.avail_inodes=99.000000
du_stats.log=0
last_stat_fetch=Thu Jan  1 05:30:00 1970



Expected results: It should display the proper valid time.
Comment 1 Amar Tumballi 2012-03-12 04:52:09 EDT
by patch http://review.gluster.com/2912
Comment 2 Anush Shetty 2012-05-14 06:52:27 EDT
Fixed now.

Note You need to log in before you can comment on or make changes to this bug.